net.corda.core.contracts

## Class TransactionVerificationException.NotaryChangeInWrongTransactionType

- Enclosing class:
    TransactionVerificationException

      public static class TransactionVerificationException.NotaryChangeInWrongTransactionType

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotaryChangeInWrongTransactionType(LedgerTransaction tx, Party outputNotary)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Party` | `getOutputNotary()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### NotaryChangeInWrongTransactionType

          public NotaryChangeInWrongTransactionType(LedgerTransaction tx,
                                                    Party outputNotary)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getOutputNotary

          public Party getOutputNotary()